org.keycloak.dom.saml.v2.ac.classes

## Class LengthType

- java.lang.Object
- - org.keycloak.dom.saml.v2.ac.classes.LengthType

- Direct Known Subclasses:
    RestrictedLengthType

      public class LengthType
      extends Object

  Java class for LengthType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="LengthType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="min" use="required" type="{http://www.w3.org/2001/XMLSchema}integer" />
             <attribute name="max" type="{http://www.w3.org/2001/XMLSchema}integer" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected BigInteger` | `max`
    `protected BigInteger` | `min`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LengthType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BigInteger` | `getMax()` Gets the value of the max property.
    `BigInteger` | `getMin()` Gets the value of the min property.
    `void` | `setMax(BigInteger value)` Sets the value of the max property.
    `void` | `setMin(BigInteger value)` Sets the value of the min property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### min

          protected BigInteger min

    - #### max

          protected BigInteger max

  - ### Constructor Detail

    - #### LengthType

          public LengthType()

  - ### Method Detail

    - #### getMin

          public BigInteger getMin()

      Gets the value of the min property.
      Returns:
        possible object is `BigInteger`

    - #### setMin

          public void setMin(BigInteger value)

      Sets the value of the min property.
      Parameters:
        `value` - allowed object is `BigInteger`

    - #### getMax

          public BigInteger getMax()

      Gets the value of the max property.
      Returns:
        possible object is `BigInteger`

    - #### setMax

          public void setMax(BigInteger value)

      Sets the value of the max property.
      Parameters:
        `value` - allowed object is `BigInteger`

Copyright © 2016 JBoss by Red Hat. All rights reserved.